$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/OpenShot/openshot-qt/releases/download/v2.4.3/OpenShot-v2.4.3-x86.exe'
$url64      = 'https://github.com/OpenShot/openshot-qt/releases/download/v2.4.3/OpenShot-v2.4.3-x86_64.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'openshot*'

  checksum      = '956A1DD6C238FB8BCD83B0963232723F1F616B1B63B191A7D2A88D28EE1302D4'
  checksumType  = 'sha256'
  checksum64    = 'DBFF3A481C053846CDF7E7ECBBF994DD6ABD7EB89735BEC9FB0A3A22B46F0A84'
  checksumType64= 'sha256'

  silentArgs = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs